#language: ru

@init

Функционал: 004. Init. Создание зоны доставки, транспортного средства

Сценарий: 004.1. Init. Удаление старых данных

	Дано Я подключаюсь под "Ведение НСИ транспортной логистики"
	Дано я удаляю объекты "Справочники.к2ЗоныДоставки" без контроля ссылок
	Дано я удаляю объекты "Справочники.к2ТипыТранспортныхСредств" без контроля ссылок
	Дано я удаляю объекты "Справочники.к2ТранспортныеСредства" без контроля ссылок

Сценарий: 004.2. Init.  Создание зоны доставки

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Зоны доставки'
	Тогда я жду открытия окна 'Зоны доставки' в течение 20 секунд
	* Создание группы зон доставки
		И я нажимаю на кнопку с именем 'ФормаСоздатьГруппу'
		Тогда открылось окно 'Зоны доставки (создание группы)'
		И в поле 'Наименование' я ввожу текст 'Группа зон доставки'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Зоны доставки (создание группы) *' в течение 20 секунд
		Тогда открылось окно 'Зоны доставки'
	* Создание зоны доставки
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Зоны доставки (создание)'
		И в поле 'Наименование' я ввожу текст 'Зона доставки'
		И из выпадающего списка "Группа" я выбираю по строке 'Группа зон доставки'
		И в поле 'Описание' я ввожу текст 'Описание зоны доставки'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Зоны доставки (создание) *' в течение 20 секунд
		Тогда открылось окно 'Зоны доставки'
	* Копирование зоны доставки
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'  |
			| 'Зона доставки' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Зоны доставки (создание)'
		И в поле 'Наименование' я ввожу текст 'Зона доставки2'
		И я нажимаю на кнопку 'Записать'
		Тогда открылось окно 'Зона доставки2 (Зоны доставки)'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Зона доставки2 (Зоны доставки)' в течение 20 секунд
		Тогда открылось окно 'Зоны доставки'
	* Пометка на удаление зоны доставки
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'   |
			| 'Зона доставки2' |
		И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюУстановитьПометкуУдаления' на элементе формы с именем "Список"
		Тогда открылось окно '1С:Предприятие'
		И я нажимаю на кнопку 'Да'
		Тогда открылось окно 'Зоны доставки'
	И Я закрываю окно 'Зоны доставки'

Сценарий: 004.3. Init. Создание типа транспортного средства

	Когда В командном интерфейсе я выбираю 'Склад и доставка' 'Типы транспортных средств'
	Тогда я жду открытия окна 'Типы транспортных средств' в течение 20 секунд
	* Создание типа транспортного средства
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Типы транспортных средств (создание)'
		И в поле 'Наименование' я ввожу текст 'Газель'
		И в поле 'Вместимость' я ввожу текст '35,000'
		И я перехожу к следующему реквизиту
		И в поле 'Грузоподъемность' я ввожу текст '9,000'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Записать'
		Тогда открылось окно 'Газель (Типы транспортных средств)'
		И я нажимаю на кнопку 'Закрыть'
		Тогда открылось окно 'Типы транспортных средств'
	* Копирование типа транспортного средства
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Газель'       |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Типы транспортных средств (создание)'
		И в поле 'Наименование' я ввожу текст 'Газель2'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Типы транспортных средств (создание) *' в течение 20 секунд
		Тогда открылось окно 'Типы транспортных средств'
	* Пометка на удаление типа транспортного средства
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Газель2'      |
		И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюУстановитьПометкуУдаления' на элементе формы с именем "Список"
		Тогда открылось окно '1С:Предприятие'
		И я нажимаю на кнопку 'Да'
		Тогда открылось окно 'Типы транспортных средств'
	И Я закрываю окно 'Типы транспортных средств'

Сценарий: 004.4. Init. Создание транспортного средства

	Когда В командном интерфейсе я выбираю 'Склад и доставка' 'Транспортные средства'
	Тогда я жду открытия окна 'Транспортные средства' в течение 20 секунд
	* Создание транспортного средства
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Транспортные средства (создание)'
		И в поле 'Государственный номер' я ввожу текст 'А524НВ'
		И в поле 'Марка' я ввожу текст 'Газель'
		И из выпадающего списка "Тип" я выбираю по строке 'Газель'
		И из выпадающего списка "Основной водитель" я выбираю по строке 'Ответственный за склад Петров Петр'
		И я устанавливаю флаг 'Постоянно наемное ТС'
		И из выпадающего списка "Транспортная компания" я выбираю по строке 'Ашан'
		И в поле 'Номер прицепа' я ввожу текст '123'
		И в поле 'Марка прицепа' я ввожу текст 'Прицеп'
		И я нажимаю на кнопку 'Записать'
		Тогда открылось окно 'А524НВ Газель (Транспортные средства)'
		И я нажимаю на кнопку 'Закрыть'
		Тогда открылось окно 'Транспортные средства'
	* Копирование и проверка на дубль транспортного средства
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'  |
			| 'А524НВ Газель' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Транспортные средства (создание)'
		И я нажимаю на кнопку 'Записать и закрыть'
		Тогда открылось окно '1С:Предприятие'
		И я нажимаю на кнопку 'OK'
		Тогда открылось окно 'Транспортные средства (создание)'
		И в поле 'Государственный номер' я ввожу текст 'А524НВ2'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Транспортные средства (создание) *' в течение 20 секунд
		Тогда открылось окно 'Транспортные средства'
	* Пометка на удаление транспортного средства
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'   |
			| 'А524НВ2 Газель' |
		И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюУстановитьПометкуУдаления' на элементе формы с именем "Список"
		Тогда открылось окно '1С:Предприятие'
		И я нажимаю на кнопку 'Да'
		Тогда открылось окно 'Транспортные средства'
	И Я закрываю окно 'Транспортные средства'

Сценарий: 004.5. Init. Завершение

	И я закрываю сеанс TESTCLIENT